psss / rpms / libguestfs

Forked from rpms/libguestfs 5 years ago
Clone

Blame 0015-builder-website-Add-index-validation-test-script.patch

2026e90
From e0e0c9d9a13bb6326b9b35b34d963ce6d6f6eb74 Mon Sep 17 00:00:00 2001
384b531
From: "Richard W.M. Jones" <rjones@redhat.com>
384b531
Date: Tue, 5 Nov 2013 07:25:46 +0000
384b531
Subject: [PATCH] builder/website: Add index validation test script.
384b531
384b531
(cherry picked from commit 154bfb7dd46e7998eed1d40ead95923590763739)
384b531
---
384b531
 builder/website/Makefile.am |  4 ++++
384b531
 builder/website/validate.sh | 24 ++++++++++++++++++++++++
384b531
 2 files changed, 28 insertions(+)
384b531
 create mode 100755 builder/website/validate.sh
384b531
384b531
diff --git a/builder/website/Makefile.am b/builder/website/Makefile.am
2026e90
index fae8c52..61234a2 100644
384b531
--- a/builder/website/Makefile.am
384b531
+++ b/builder/website/Makefile.am
2026e90
@@ -39,3 +39,7 @@ EXTRA_DIST = \
2026e90
 	ubuntu-*.*.xz.sig
384b531
 
384b531
 CLEANFILES = *~
384b531
+
384b531
+# Validates the index file.
384b531
+TESTS_ENVIRONMENT = $(top_builddir)/run --test
384b531
+TESTS = validate.sh
384b531
diff --git a/builder/website/validate.sh b/builder/website/validate.sh
384b531
new file mode 100755
384b531
index 0000000..f09e30c
384b531
--- /dev/null
384b531
+++ b/builder/website/validate.sh
384b531
@@ -0,0 +1,24 @@
384b531
+#!/bin/bash -
384b531
+# libguestfs virt-builder validate index
384b531
+# Copyright (C) 2013 Red Hat Inc.
384b531
+#
384b531
+# This program is free software; you can redistribute it and/or modify
384b531
+# it under the terms of the GNU General Public License as published by
384b531
+# the Free Software Foundation; either version 2 of the License, or
384b531
+# (at your option) any later version.
384b531
+#
384b531
+# This program is distributed in the hope that it will be useful,
384b531
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
384b531
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
384b531
+# GNU General Public License for more details.
384b531
+#
384b531
+# You should have received a copy of the GNU General Public License
384b531
+# along with this program; if not, write to the Free Software
384b531
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
384b531
+
384b531
+export LANG=C
384b531
+set -e
384b531
+
384b531
+../virt-index-validate index
384b531
+../virt-index-validate index.asc
384b531
+
384b531
-- 
384b531
1.8.3.1
384b531